{
  "image": "https://home.bungebash.com/storage/logos/uploads/AppTemplate/13/templateImage/wordpress-logo-png-transparent-background-8_original.png",
  "tiers": {
    "Web": {
      "linkedTiers": [
        "Database"
      ],
      "tierIndex": 1,
      "tier": {
        "bootOrder": 1,
        "lockedFields": [
          "bootOrder"
        ]
      },
      "instances": [
        {
          "instance": {
            "type": "wp"
          },
          "clouds": {
            "vCenter": {
              "backup": {
                "backupRepository": 3,
                "createBackup": true,
                "jobAction": "new",
                "jobRetentionCount": "3",
                "providerBackupType": "null",
                "enabled": true,
                "showScheduledBackupWarning": false
              },
              "instance": {
                "layout": {
                  "code": "ec9c0cdd-17d0-46ee-b11c-674afab1e7c5",
                  "id": 3246
                },
                "expireDays": 2,
                "configEnabled": true,
                "name": "${app.name}-${sequence+1000}",
                "allowExisting": false,
                "type": "wp",
                "shutdownDays": 1,
                "userGroup": {
                  "id": ""
                }
              },
              "networkInterfaces": [
                {
                  "ipMode": "",
                  "primaryInterface": true,
                  "showNetworkPoolLabel": true,
                  "showNetworkDhcpLabel": false,
                  "network": {
                    "idName": "Servers",
                    "pool": {
                      "name": "192.168.10.0/24",
                      "id": 30
                    },
                    "id": "network-100",
                    "hasPool": true
                  }
                }
              ],
              "volumes": [
                {
                  "controllerId": 1111,
                  "maxIOPS": null,
                  "displayOrder": 0,
                  "unitNumber": "0",
                  "minStorage": 10737418240,
                  "configurableIOPS": false,
                  "controllerMountPoint": "1111:0:16:0",
                  "vId": 1720,
                  "size": 40,
                  "name": "root",
                  "rootVolume": true,
                  "storageType": 1,
                  "typeId": 1,
                  "id": 484,
                  "resizeable": true,
                  "datastoreId": "auto",
                  "maxStorage": 10737418240
                }
              ],
              "lock": {
                "config": {
                  "customOptions": {
                    "databaseUser": false,
                    "databaseName": false,
                    "databasePassword": false
                  }
                }
              },
              "ports": [
                {
                  "code": null,
                  "visible": true,
                  "internalPort": 443,
                  "loadBalancePort": null,
                  "loadBalanceProtocol": "HTTPS",
                  "sortOrder": 0,
                  "name": "HTTPS",
                  "id": 329,
                  "shortName": null,
                  "externalPort": 443,
                  "loadBalance": true
                },
                {
                  "code": null,
                  "visible": true,
                  "internalPort": 80,
                  "loadBalancePort": null,
                  "loadBalanceProtocol": "HTTPS",
                  "sortOrder": 0,
                  "name": "HTTP",
                  "id": 332,
                  "shortName": null,
                  "externalPort": 80,
                  "loadBalance": true
                }
              ],
              "config": {
                "customOptions": {
                  "databaseUser": "wpuser",
                  "databaseName": "wpdb",
                  "websiteUrl": "www.test.com",
                  "databasePassword": "************"
                },
                "resourcePoolId": 12,
                "createUser": true
              },
              "plan": {
                "code": "vm-2048",
                "id": 895
              },
              "group": {},
              "lockedFields": [
                "networks",
                "volumes"
              ]
            }
          }
        }
      ]
    },
    "Database": {
      "linkedTiers": [],
      "tierIndex": 2,
      "instances": [
        {
          "instance": {
            "name": "",
            "type": "vmMySQL"
          },
          "clouds": {
            "vCenter": {
              "backup": {
                "backupRepository": 3,
                "veeamManagedServer": "a6c96850-59e2-4e81-8b8b-3a8b2a73bf44:a2ed65df-81cd-4262-9d96-222c56d1621e",
                "createBackup": true,
                "jobAction": "clone",
                "jobRetentionCount": "3",
                "enabled": true,
                "providerBackupType": -1,
                "showScheduledBackupWarning": false
              },
              "instance": {
                "layout": {
                  "code": "fce49077-0d7b-437a-8711-c265378fd68d",
                  "id": 3260
                },
                "expireDays": 2,
                "configEnabled": true,
                "name": "${userInitials}-${type}-${sequence+1000}",
                "allowExisting": true,
                "type": "vmMySQL",
                "shutdownDays": 1,
                "userGroup": {
                  "id": ""
                },
                "networkDomain": {
                  "id": 7
                }
              },
              "networkInterfaces": [
                {
                  "ipMode": "",
                  "primaryInterface": true,
                  "showNetworkPoolLabel": true,
                  "showNetworkDhcpLabel": false,
                  "network": {
                    "idName": "Servers",
                    "pool": {
                      "id": 30,
                      "name": "192.168.10.0/24"
                    },
                    "id": "network-100",
                    "hasPool": true
                  }
                }
              ],
              "volumes": [
                {
                  "controllerId": 1111,
                  "maxIOPS": null,
                  "displayOrder": 0,
                  "unitNumber": "0",
                  "minStorage": 10737418240,
                  "configurableIOPS": false,
                  "controllerMountPoint": "1111:0:16:0",
                  "vId": 1720,
                  "size": 50,
                  "name": "root",
                  "rootVolume": true,
                  "storageType": 1,
                  "typeId": 1,
                  "id": 484,
                  "resizeable": true,
                  "datastoreId": "auto",
                  "maxStorage": 10737418240,
                  "volumeCustomizable": true,
                  "readonlyName": false
                }
              ],
              "lock": {
                "config": {
                  "customOptions": {
                    "databaseUser": true,
                    "databasePassword": true
                  }
                }
              },
              "config": {
                "customOptions": {
                  "databaseUser": "dbuser",
                  "databaseName": "",
                  "databasePassword": "************"
                },
                "resourcePoolId": 12,
                "createUser": true
              },
              "plan": {
                "code": "vm-2by4",
                "id": 995
              },
              "group": {},
              "lockedFields": [
                "config.customOptions.databasePassword",
                "config.customOptions.databaseUser",
                "backup.providerBackupType"
              ],
              "layout": {
                "id": 3260,
                "code": "fce49077-0d7b-437a-8711-c265378fd68d",
                "name": "New Master",
                "instanceVersion": "Latest",
                "description": null,
                "sortOrder": 0,
                "hasSslCert": false,
                "provisionType": {
                  "id": 13,
                  "name": "VMware",
                  "description": null,
                  "code": "vmware",
                  "aclEnabled": false,
                  "multiTenant": false,
                  "managed": true,
                  "hostNetwork": true,
                  "customSupported": true,
                  "mapPorts": false,
                  "exportServer": true,
                  "viewSet": null,
                  "serverType": "vm",
                  "hostType": "vm",
                  "addVolumes": true,
                  "hasVolumes": true,
                  "hasDatastore": true,
                  "hasNetworks": true,
                  "maxNetworks": 0,
                  "customizeVolume": true,
                  "rootDiskCustomizable": true,
                  "rootDiskSizeKnown": true,
                  "rootDiskResizable": true,
                  "lvmSupported": true,
                  "hostDiskMode": "lvm",
                  "minDisk": 1,
                  "maxDisk": null,
                  "resizeCopiesVolumes": false,
                  "supportsAutoDatastore": true,
                  "hasZonePools": true,
                  "optionTypes": [
                    {
                      "id": 118,
                      "name": "config.noAgent",
                      "code": "provisionType.general.noAgent",
                      "description": null,
                      "fieldName": "noAgent",
                      "fieldLabel": "Skip Agent Install",
                      "fieldContext": "config",
                      "fieldGroup": "Advanced Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "Skipping Agent installation will result in a lack of logging and guest operating system statistics. Automation scripts may also be adversely affected.",
                      "defaultValue": null,
                      "optionSource": null,
                      "type": "checkbox",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 4,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false,
                      "value": null,
                      "label": "Skip Agent Install",
                      "formGroupClass": null,
                      "isCheckbox": true,
                      "isChecked": false,
                      "canLock": true,
                      "hidden": false,
                      "errorName": "noAgent"
                    },
                    {
                      "id": 349,
                      "name": "config.smbiosAssetTag",
                      "code": "provisionType.vmware.smbiosAssetTag",
                      "description": null,
                      "fieldName": "smbiosAssetTag",
                      "fieldLabel": "Asset Tag",
                      "fieldContext": "config",
                      "fieldGroup": "Advanced Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "Sets the asset tag on the SMBIOS for use by the guest operating system. If left blank, the virtual machine name will be used.",
                      "defaultValue": null,
                      "optionSource": null,
                      "type": "text",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 6,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false,
                      "value": null,
                      "label": "Asset Tag",
                      "formGroupClass": null,
                      "isText": true,
                      "canLock": true,
                      "hidden": false,
                      "errorName": "smbiosAssetTag"
                    },
                    {
                      "id": 346,
                      "name": "config.nestedVirtualization",
                      "code": "provisionType.vmware.custom.nestedVirtualization",
                      "description": null,
                      "fieldName": "nestedVirtualization",
                      "fieldLabel": "Enable Nested Virtualization",
                      "fieldContext": "config",
                      "fieldGroup": "Advanced Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": "",
                      "optionSource": null,
                      "type": "checkbox",
                      "advanced": false,
                      "required": false,
                      "editable": true,
                      "config": {},
                      "displayOrder": 9,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false,
                      "value": null,
                      "label": "Enable Nested Virtualization",
                      "formGroupClass": null,
                      "isCheckbox": true,
                      "isChecked": false,
                      "canLock": true,
                      "hidden": false,
                      "errorName": "nestedVirtualization"
                    },
                    {
                      "id": 316,
                      "name": "network domain",
                      "code": "provisionType.vmware.networkDomain",
                      "description": null,
                      "fieldName": "id",
                      "fieldLabel": "Network Domain",
                      "fieldContext": "instance.networkDomain",
                      "fieldGroup": "Advanced",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": null,
                      "optionSource": "networkDomains",
                      "type": "select",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 9,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false
                    },
                    {
                      "id": 286,
                      "name": "host",
                      "code": "provisionType.vmware.host",
                      "description": null,
                      "fieldName": "hostId",
                      "fieldLabel": "Host",
                      "fieldContext": "config",
                      "fieldGroup": "Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": null,
                      "optionSource": "vmwareHost",
                      "type": "select",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 102,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false
                    },
                    {
                      "id": 298,
                      "name": "config.vmwareFolderId",
                      "code": "provisionType.vmware.folder",
                      "description": null,
                      "fieldName": "vmwareFolderId",
                      "fieldLabel": "Folder",
                      "fieldContext": "config",
                      "fieldGroup": "Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": null,
                      "optionSource": "vmwareFolders",
                      "type": "select",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 106,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false,
                      "value": null,
                      "label": "Folder",
                      "formGroupClass": null,
                      "isSelect": true,
                      "isLoaded": false,
                      "canLock": true,
                      "hidden": false,
                      "errorName": "vmwareFolderId"
                    },
                    {
                      "id": 301,
                      "name": "config.vmwareCustomSpec",
                      "code": "provisionType.vmware.customSpec",
                      "description": null,
                      "fieldName": "vmwareCustomSpec",
                      "fieldLabel": "Customization Spec",
                      "fieldContext": "config",
                      "fieldGroup": "Advanced Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": null,
                      "optionSource": "vmwareCustomSpec",
                      "type": "select",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 111,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false,
                      "value": null,
                      "label": "Customization Spec",
                      "formGroupClass": null,
                      "isSelect": true,
                      "isLoaded": false,
                      "canLock": true,
                      "hidden": false,
                      "errorName": "vmwareCustomSpec"
                    }
                  ],
                  "customOptionTypes": [
                    {
                      "id": 334,
                      "name": "stat type code",
                      "code": "provisionType.vmware.custom.containerType.statTypeCode",
                      "description": null,
                      "fieldName": "statTypeCode",
                      "fieldLabel": "Stat Type Code",
                      "fieldContext": "containerType",
                      "fieldGroup": "VMware VM Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": "vmware",
                      "optionSource": null,
                      "type": "hidden",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 6,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false
                    },
                    {
                      "id": 322,
                      "name": "mount logs",
                      "code": "provisionType.vmware.custom.containerType.mountLogs",
                      "description": null,
                      "fieldName": "mountLogs",
                      "fieldLabel": "Log Folder",
                      "fieldContext": "containerType",
                      "fieldGroup": "VMware VM Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": null,
                      "optionSource": null,
                      "type": "text",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 2,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false
                    },
                    {
                      "id": 325,
                      "name": "mount config",
                      "code": "provisionType.vmware.custom.containerType.mountConfig",
                      "description": null,
                      "fieldName": "mountConfig",
                      "fieldLabel": "Config Folder",
                      "fieldContext": "containerType",
                      "fieldGroup": "VMware VM Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": null,
                      "optionSource": null,
                      "type": "text",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 3,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false
                    },
                    {
                      "id": 337,
                      "name": "log type code",
                      "code": "provisionType.vmware.custom.containerType.logTypeCode",
                      "description": null,
                      "fieldName": "logTypeCode",
                      "fieldLabel": "Log Type Code",
                      "fieldContext": "containerType",
                      "fieldGroup": "VMware VM Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": "vmware",
                      "optionSource": null,
                      "type": "hidden",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 7,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false
                    },
                    {
                      "id": 328,
                      "name": "mount data",
                      "code": "provisionType.vmware.custom.containerType.mountData",
                      "description": null,
                      "fieldName": "mountData",
                      "fieldLabel": "Deploy Folder",
                      "fieldContext": "containerType",
                      "fieldGroup": "VMware VM Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "(Optional) If using deployment services, this mount point will be replaced with the contents of said deployments.",
                      "defaultValue": null,
                      "optionSource": null,
                      "type": "text",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 4,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false
                    },
                    {
                      "id": 343,
                      "name": "layout description",
                      "code": "provisionType.vmware.custom.instanceTypeLayout.description",
                      "description": null,
                      "fieldName": "description",
                      "fieldLabel": "Layout Description",
                      "fieldContext": "instanceTypeLayout",
                      "fieldGroup": "VMware VM Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": "This will provision a single vm container",
                      "optionSource": null,
                      "type": "hidden",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 9,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false
                    },
                    {
                      "id": 331,
                      "name": "backup type",
                      "code": "provisionType.vmware.custom.instanceType.backupType",
                      "description": null,
                      "fieldName": "backupType",
                      "fieldLabel": "Backup Type",
                      "fieldContext": "instanceType",
                      "fieldGroup": "VMware VM Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": "vmwareSnapshot",
                      "optionSource": null,
                      "type": "hidden",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 5,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false
                    },
                    {
                      "id": 340,
                      "name": "server type",
                      "code": "provisionType.vmware.custom.containerType.serverType",
                      "description": null,
                      "fieldName": "serverType",
                      "fieldLabel": "Server Type",
                      "fieldContext": "containerType",
                      "fieldGroup": "VMware VM Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": "vm",
                      "optionSource": null,
                      "type": "hidden",
                      "advanced": false,
                      "required": false,
                      "editable": false,
                      "config": {},
                      "displayOrder": 8,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false
                    },
                    {
                      "id": 319,
                      "name": "virtual image",
                      "code": "provisionType.vmware.custom.containerType.virtualImageId",
                      "description": null,
                      "fieldName": "virtualImageId",
                      "fieldLabel": "Virtual Image",
                      "fieldContext": "containerType",
                      "fieldGroup": "VMware VM Options",
                      "fieldClass": null,
                      "fieldAddOn": null,
                      "placeHolder": null,
                      "helpBlock": "",
                      "defaultValue": null,
                      "optionSource": "vmwareVirtualImages",
                      "type": "select",
                      "advanced": false,
                      "required": true,
                      "editable": false,
                      "config": {},
                      "displayOrder": 1,
                      "wrapperClass": null,
                      "enabled": true,
                      "noBlank": false,
                      "dependsOnCode": null,
                      "contextualDefault": false
                    }
                  ],
                  "networkTypes": [
                    {
                      "id": 10,
                      "name": "VMXNET 3",
                      "displayOrder": 1,
                      "enabled": true,
                      "defaultType": true,
                      "externalId": "vmxNet3",
                      "code": "vmxNet3"
                    },
                    {
                      "id": 7,
                      "name": "VMXNET 2",
                      "displayOrder": 2,
                      "enabled": true,
                      "defaultType": false,
                      "externalId": "vmxNet2",
                      "code": "vmxNet2"
                    },
                    {
                      "id": 4,
                      "name": "E1000",
                      "displayOrder": 3,
                      "enabled": true,
                      "defaultType": false,
                      "externalId": "e1000",
                      "code": "e1000"
                    }
                  ],
                  "storageTypes": [
                    {
                      "id": 1,
                      "code": "standard",
                      "name": "Standard",
                      "displayOrder": 1,
                      "defaultType": true,
                      "customLabel": true,
                      "customSize": true,
                      "customSizeOptions": null
                    }
                  ],
                  "rootStorageTypes": [
                    {
                      "id": 1,
                      "code": "standard",
                      "name": "Standard",
                      "displayOrder": 1,
                      "defaultType": true,
                      "customLabel": true,
                      "customSize": true,
                      "customSizeOptions": null
                    }
                  ],
                  "controllerTypes": [
                    {
                      "id": 4,
                      "name": "IDE",
                      "displayOrder": 1,
                      "category": "ide",
                      "enabled": true,
                      "creatable": false,
                      "maxDevices": 2
                    },
                    {
                      "id": 7,
                      "name": "SCSI BusLogic Parallel",
                      "displayOrder": 2,
                      "category": "scsi",
                      "enabled": true,
                      "creatable": true,
                      "maxDevices": 15
                    },
                    {
                      "id": 10,
                      "name": "SCSI LSI Logic Parallel",
                      "displayOrder": 3,
                      "category": "scsi",
                      "enabled": true,
                      "creatable": true,
                      "maxDevices": 15
                    },
                    {
                      "id": 13,
                      "name": "SCSI LSI Logic SAS",
                      "displayOrder": 4,
                      "category": "scsi",
                      "enabled": true,
                      "creatable": true,
                      "maxDevices": 15
                    },
                    {
                      "id": 16,
                      "name": "SCSI VMWare Paravirtual",
                      "displayOrder": 5,
                      "category": "scsi",
                      "enabled": true,
                      "creatable": true,
                      "maxDevices": 15
                    }
                  ]
                },
                "containerTypeSet": {
                  "id": 3471,
                  "containerType": {
                    "id": 3147,
                    "virtualImageId": 1720
                  }
                },
                "mounts": [],
                "ports": [],
                "optionTypes": [],
                "deploymentOptionTypes": [],
                "loadBalancerPorts": [],
                "selected": true
              },
              "storageControllers": [
                {
                  "id": 1096,
                  "name": "IDE 0",
                  "active": true,
                  "typeId": 4,
                  "typeName": "IDE",
                  "unitNumber": "null",
                  "busNumber": "0",
                  "maxDevices": 2,
                  "removable": false,
                  "editable": false,
                  "reservedUnitNumber": -1,
                  "category": "ide",
                  "displayOrder": 0
                },
                {
                  "id": 1099,
                  "name": "IDE 1",
                  "active": true,
                  "typeId": 4,
                  "typeName": "IDE",
                  "unitNumber": "null",
                  "busNumber": "1",
                  "maxDevices": 2,
                  "removable": false,
                  "editable": false,
                  "reservedUnitNumber": -1,
                  "category": "ide",
                  "displayOrder": 1
                },
                {
                  "id": 1102,
                  "name": "SCSI controller 0",
                  "active": true,
                  "typeId": 16,
                  "typeName": "SCSI VMWare Paravirtual",
                  "unitNumber": "3",
                  "busNumber": "0",
                  "maxDevices": 15,
                  "removable": false,
                  "editable": false,
                  "reservedUnitNumber": 7,
                  "category": "scsi",
                  "displayOrder": 2
                }
              ]
            }
          }
        }
      ]
    }
  },
  "name": "WordPress",
  "templateImage": "C:\\fakepath\\wordpress-logo-png-transparent-background-8.png",
  "type": "morpheus",
  "config": {
    "isVpcSelectable": true,
    "isEC2": false
  }
}